# -*- mode: python -*-

block_cipher = None

## check
from PyInstaller.depend.bindepend import get_python_library_path
if 0 and 'anaconda' in get_python_library_path():  #deactivated it work python 3.8.5
    text = """
    The library point toward {}. This is an anaconda path and normally make the executable crash .
    You have two choices:
    1)
    - rename anaconda path to __anaconda
    - recreate virtual env as in the readme
    - rerun pyinstaller ./make.sh
    - rename anaconda path to __anaconda
    2)
    - Remove this comment and pray it works on your computer
    """
    raise ImportError(text)
## end check
##

a = Analysis(['convertSourceFile.py'],
             pathex=['.'],
             binaries=None,
             datas=None,
             hiddenimports=[],
             hookspath=[],
             runtime_hooks=[],
             excludes=[],
             win_no_prefer_redirects=False,
             win_private_assemblies=False,
             cipher=block_cipher)
pyz = PYZ(a.pure, a.zipped_data,
             cipher=block_cipher)

exe = EXE(pyz,
          a.scripts,
          a.binaries,
          a.zipfiles,
          a.datas,
          name='HxConvertSourceFile',
          debug=False,
          strip=False,
          upx=True,
          console=False ,
           icon='app.icns')
app = BUNDLE(exe,
             name='HxConvertSourceFile.app',
             icon='app.icns',
             bundle_identifier=None)
